Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02893 Crash/Freeze Critical (emulation) Always Jan 30, 2009, 04:19 Feb 17, 2009, 15:29
Tester john_iv View Status Public Platform MAMEUI
Assigned To aaron Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver galaxian.cpp
Version 0.129u3 Fixed in Version 0.129u4 Build 64-bit
Summary 02893: Most sets in galdrvr.c: Crashes with devcb dialog.
Description When run Frogger throws a win dialogue:

devcb_resolve_read8: Unable to find input port 'IN3' (requested by Intel
PPI8255 'ppi8255_1')
Steps To Reproduce Run frogger in MameUI or baseline.
Additional Information
Flags
Regression Version 0.129u3
Affected Sets / Systems Most sets in galdrvr.c
Attached Files
 
Relationships
related to 02890ResolvedRoberto Fresca pitboss, pitbossa: Pit Boss and clone crashes with devcb dialog 
related to 02915Resolved mtonic -> magoddsb: unable to find input port 'IN3' (requested by Intel PPI8255 'ppi8255_0') 
Notes
3
User avatar
No.03698
Tafoid
Administrator
Jan 30, 2009, 05:03
Most sets in galdrvr.c crash with this error. Likely related to 02890.
User avatar
No.03699
etabeta
Developer
Jan 30, 2009, 10:50
this bug (and 02890) can have two different solutions, but I don't know which one Aaron would consider best.

solution 1: we would need to add a DEVCB_INPUT_PORT variant which passes both the tag and a default value in case a set doesn't use that input port (a sort of read_input_port_safe for devices)

solution 2: we would need to verify how these sets were using the device (since it seems they were not using it for those inputs)

if the latter is considered best, then the bugs are not related one to the other.
User avatar
No.03711
Luigi30
Tester
Feb 1, 2009, 16:40
Wouldn't this affect more large drivers that have games with different input schemes and input port-handling devices?